Subject: bug#4459: 23.1; ERC customize does not hide password from view

From: Chong Yidong <[email-masked]>
Date: Fri, 18 Sep 2009 12:37:08 -0400

> If I use the Customize mode to set a password for ERC to try
> automatically, Customize does not hide the password from
> view. (Incidentally, I can't hide the password from view by clicking
> the relevant show/hide arrow afterwards, either - it refuses to hide
> anything.)

> To reproduce this, in ERC major mode (reachable with M-x erc), choose
> Customize from the ERC menu. Then choose the Erc Services group. Then,
> under "Erc Nickserv Passwords:", press the INS button and choose some
> Network name. Press the INS buton under "Nickname and password:" and
> enter some arbitrary nickname and password. The password is visible on
> the screen (unlike when ERC prompts for a password itself, when it
> hides the password by printing periods instead of the actual password
> characters).

I'm afraid this is not really feasible to fix, because of the way
Customize is designed.